All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
std::tr1::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > Class Template Reference

## Public Member Functions

| tuple (GTEST_BY_REF_(T0) f0, GTEST_BY_REF_(T1) f1, GTEST_BY_REF_(T2) f2, GTEST_BY_REF_(T3) f3, GTEST_BY_REF_(T4) f4, GTEST_BY_REF_(T5) f5, GTEST_BY_REF_(T6) f6, GTEST_BY_REF_(T7) f7, GTEST_BY_REF_(T8) f8, GTEST_BY_REF_(T9) f9)
| tuple (const tuple &t)
template<GTEST_10_TYPENAMES_(U) >
| tuple (const GTEST_10_TUPLE_(U)&t)
tuple & | operator= (const tuple &t)
template<GTEST_10_TYPENAMES_(U) >
tuple & | operator= (const GTEST_10_TUPLE_(U)&t)
template<GTEST_10_TYPENAMES_(U) >
GTEST_DECLARE_TUPLE_AS_FRIEND_ tuple & | CopyFrom (const GTEST_10_TUPLE_(U)&t)

## Public Attributes

T0 | f0_
T1 | f1_
T2 | f2_
T3 | f3_
T4 | f4_
T5 | f5_
T6 | f6_
T7 | f7_
T8 | f8_
T9 | f9_

## Friends

template<int k>
class | gtest_internal::Get

## Detailed Description

### template<typename T0 = void, typename T1 = void, typename T2 = void, typename T3 = void, typename T4 = void, typename T5 = void, typename T6 = void, typename T7 = void, typename T8 = void, typename T9 = void>
class std::tr1::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 >

Definition at line 119 of file gtest-tuple.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-tuple.h